Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81429 - gdb complains about undefined symbol: ps_get_thread_area
Summary: gdb complains about undefined symbol: ps_get_thread_area
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gdb
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-09 12:54 UTC by Need Real Name
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 15:28:59 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-09 12:54:02 UTC
Description of problem:
gdb complains about been unable to debug pthreads.

Version-Release number of selected component (if applicable):
gdb-5.3post-0.20021129.4

How reproducible:
$ cat > test.c
#include <stdio.h>
int main(void)
{
  printf("test\n");
  return 0;
}
$ gcc -g test.c
$ gdb a.out

Comment 1 Elena Zannoni 2003-01-10 17:09:30 UTC
Yes, this is (unfortunately) expected behavior. Gdb has not been ported yet to
work with the new NPTL thread library.
However, gdb should behave correctly if the program has no threads.

Comment 2 Shawn Walker 2003-01-20 07:39:59 UTC
What's the timeframe looking like on getting GDB to work with the new threaded
system?

Comment 3 Elena Zannoni 2003-01-20 15:28:59 UTC
There is a patch in the next beta.
I am closing this bug report. If there are more problems, let's open new ones,
against the next beta.




Note You need to log in before you can comment on or make changes to this bug.